Download it now!
Bug 134299 - FILESAVE DOCX Shape relative width to left margin saved incorrectly
Summary: FILESAVE DOCX Shape relative width to left margin saved incorrectly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Balázs Regényi
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2020-06-25 13:20 UTC by NISZ LibreOffice Team
Modified: 2020-07-17 19:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file saved by Writer (18.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-25 13:20 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (41.88 KB, image/png)
2020-06-25 13:21 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-25 13:20:54 UTC
Created attachment 162401 [details]
The original file saved by Writer

Import of shape width relative to left margin is now that bug #132976 was fixed imported correctly, but saving to DOCX is still incorrect.

Steps to reproduce:
    1. Open attachment #160718 [details]
    2. Save it as DOCX, then reopen

Actual results:
Shape is 90% of the page width. This setting is also visible in Word, but Writer does not have a GUI item for that.

Expected results:
Shape should be 90% of the left margin width.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 010713e65ccade7b682c219707c8db3d864145c1
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-25 13:21:16 UTC
Created attachment 162402 [details]
Screenshot of the problem in Writer
Comment 2 Xisco Faulí 2020-07-10 15:58:56 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 12bfedfac3b141fe6c91b0e5ae5b3fb2ba817c48
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2020-07-17 15:06:00 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fa84e889b8cabdd7c174b640883c692b8d514ae7

tdf#134299 DOCX shape export: fix relative size of shapes

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.